'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgHeart = function SvgHeart(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Heart_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M22.36 6c-2.63-.007-5.236.52-7.667 1.548a19.9 19.9 0 0 0-6.5 4.447l-.34.334C4.105 16.179 2 21.396 2 26.835c0 5.438 2.105 10.654 5.853 14.506l31.693 32.464a.64.64 0 0 0 .45.195.55.55 0 0 0 .237-.046.6.6 0 0 0 .2-.144l31.693-32.464a20.5 20.5 0 0 0 4.347-6.655A20.9 20.9 0 0 0 78 26.837c0-2.695-.519-5.364-1.527-7.853a20.5 20.5 0 0 0-4.347-6.656l-.426-.436c-3.77-3.79-8.846-5.906-14.128-5.885S47.228 8.18 43.487 12l-3.51 3.595L36.467 12a19.9 19.9 0 0 0-6.47-4.438A19.5 19.5 0 0 0 22.36 6m17.652 66.407L8.766 40.416c-3.51-3.607-5.48-8.492-5.48-13.584 0-5.093 1.97-9.977 5.48-13.584l.32-.329c3.526-3.595 8.298-5.613 13.272-5.613s9.746 2.018 13.271 5.613l3.937 4.032a.64.64 0 0 0 .451.2.5.5 0 0 0 .236-.045.6.6 0 0 0 .195-.144l3.947-4.043C47.91 9.32 52.676 7.3 57.646 7.3s9.736 2.021 13.251 5.62l.321.329c3.43 3.533 5.388 8.29 5.465 13.27.076 4.982-1.735 9.8-5.054 13.44l-.41.438z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Heart_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgHeart;
